Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/physiq_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/physiq_mod.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/physiq_mod.F90	(revision 5117)
@@ -4626,5 +4626,5 @@
                enddo                                                         !
             enddo                                                            !
-          else if (iflag_thermals_tenv / 10 == 3 ) then                      !
+          ELSE IF (iflag_thermals_tenv / 10 == 3 ) then                      !
             do k=1,klev                                                      !
                do i=1,klon                                                   !
@@ -4691,5 +4691,5 @@
           ! Ne change pas les resultats avec les isotopes tant qu'on
           ! tourne avec le defaut : iflag_thermals_tenv=0
-          if ( iflag_thermals_tenv /= 0 ) THEN
+          IF ( iflag_thermals_tenv /= 0 ) THEN
               abort_message ='iflag_thermals_env/=0 : non prevu avec les isotopes'
               CALL abort_physic (modname,abort_message,1)
@@ -4789,5 +4789,5 @@
           ! Transport de la TKE par les panaches thermiques.
           ! FH : 2010/02/01
-               if (iflag_thermcell_tke==1) THEN
+               IF (iflag_thermcell_tke==1) THEN
                CALL thermcell_dtke(klon,klev,nbsrf,pdtphys,fm_therm,entr_therm,rg,paprs,pbl_tke)
                endif
@@ -4809,5 +4809,5 @@
        ! Dans le cas contraire, on demarre au niveau 1.
 
-       IF (iflag_thermals>=13.or.iflag_thermals<=0) THEN
+       IF (iflag_thermals>=13.OR.iflag_thermals<=0) THEN
 
           IF (iflag_thermals==0) THEN
@@ -4831,22 +4831,22 @@
 #ifdef ISOVERIF
       WRITE(*,*) 'physiq 3691c: avant CALL ajsec'
-      if (iso_eau.gt.0) THEN
+      IF (iso_eau.gt.0) THEN
       CALL iso_verif_egalite_vect2D( &
                  xt_seri,q_seri, &
                  'physiq 3727, avant ajsec',ntraciso,klon,klev)
       endif
-      if (iso_HDO.gt.0) THEN
+      IF (iso_HDO.gt.0) THEN
       CALL iso_verif_aberrant_enc_vect2D( &
                  xt_seri,q_seri, &
                  'physiq 3732, avant ajsec',ntraciso,klon,klev)
       endif    
-      if ((iso_HDO.gt.0).and.(iso_O18.gt.0)) THEN
+      IF ((iso_HDO.gt.0).AND.(iso_O18.gt.0)) THEN
         do k = 1, klev
         do i = 1, klon 
-            if (q_seri(i,k).gt.ridicule) THEN
-               if (iso_verif_o18_aberrant_nostop( &
+            IF (q_seri(i,k).gt.ridicule) THEN
+               IF (iso_verif_o18_aberrant_nostop( &
                     xt_seri(iso_HDO,i,k)/q_seri(i,k), &
                     xt_seri(iso_O18,i,k)/q_seri(i,k), &
-                    'physiq 4051, avant ajsec').eq.1) THEN
+                    'physiq 4051, avant ajsec').EQ.1) THEN
                   WRITE(*,*) 'physiq 4367: i,k,q_seri(i,k)=',i,k,q_seri(i,k)
                   stop
@@ -4855,5 +4855,5 @@
         enddo !do i = 1, klon
         enddo !do k = 1, klev
-        endif !if ((iso_HDO.gt.0).and.(iso_O18.gt.0)) THEN
+        endif !if ((iso_HDO.gt.0).AND.(iso_O18.gt.0)) THEN
 #ifdef ISOTRAC
         CALL iso_verif_traceur_vect(xt_seri,klon,klev, &
@@ -4943,10 +4943,10 @@
 #endif         
 #ifdef ISOVERIF
-      if (iso_eau.gt.0) THEN
+      IF (iso_eau.gt.0) THEN
       CALL iso_verif_egalite_vect2D( &
                  xt_seri,q_seri, &
                  'physiq 3709, avant ilp',ntraciso,klon,klev)
       endif
-      if (iso_HDO.gt.0) THEN
+      IF (iso_HDO.gt.0) THEN
       CALL iso_verif_aberrant_enc_vect2D( &
                  xt_seri,q_seri, &
@@ -4957,6 +4957,6 @@
        do k=1,klev
         do i=1,klon
-           if ((iso_O17.gt.0).and.(iso_O18.gt.0)) THEN
-            if ((q_seri(i,k).gt.ridicule).and.(k.lt.nlevmaxO17)) THEN
+           IF ((iso_O17.gt.0).AND.(iso_O18.gt.0)) THEN
+            IF ((q_seri(i,k).gt.ridicule).AND.(k.lt.nlevmaxO17)) THEN
              CALL iso_verif_aberrant_o17(xt_seri(iso_o17,i,k) &
                  /q_seri(i,k),xt_seri(iso_o18,i,k) &
@@ -4964,22 +4964,22 @@
             endif !if (q_seri(i,k).gt.ridicule) THEN
            endif !if (iso_O17.gt.0) THEN
-           if ((iso_HDO.gt.0).and.(iso_O18.gt.0)) THEN
-            if (q_seri(i,k).gt.ridicule) THEN
-               if (iso_verif_o18_aberrant_nostop( &
+           IF ((iso_HDO.gt.0).AND.(iso_O18.gt.0)) THEN
+            IF (q_seri(i,k).gt.ridicule) THEN
+               IF (iso_verif_o18_aberrant_nostop( &
                     xt_seri(iso_HDO,i,k)/q_seri(i,k), &
                     xt_seri(iso_O18,i,k)/q_seri(i,k), &
-                    'physiq 4177, avant il pleut').eq.1) THEN
+                    'physiq 4177, avant il pleut').EQ.1) THEN
                   WRITE(*,*) 'physic 4475: i,k,q_seri(i,k)=',i,k,q_seri(i,k)
                   stop
               endif !  if (iso_verif_o18_aberrant_nostop 
             endif !if (q_seri(i,k).gt.errmax) THEN
-        endif !if ((iso_HDO.gt.0).and.(iso_O18.gt.0)) THEN
+        endif !if ((iso_HDO.gt.0).AND.(iso_O18.gt.0)) THEN
 #ifdef ISOTRAC      
         CALL iso_verif_traceur(xt_seri(1,i,k),'physiq 3609')
         CALL iso_verif_traceur_pbidouille(xt_seri(1,i,k), &
                  'physiq 3609')
-        if (iso_verif_tracpos_choix_nostop(xt_seri(1,i,k), &
+        IF (iso_verif_tracpos_choix_nostop(xt_seri(1,i,k), &
                  'physiq 3707, avant fisrtilp',1e-5) &
-                 .eq.1) THEN
+                 .EQ.1) THEN
               WRITE(*,*) 'i,k=',i,k
 #ifdef ISOVERIF
@@ -4987,5 +4987,5 @@
 #endif
          endif
-         if (option_tmin.eq.1) THEN
+         IF (option_tmin.EQ.1) THEN
                CALL iso_verif_trac17_q_deltaD(xt_seri(1,i,k), &
                  'physiq 3905, avant ilp')
@@ -5008,5 +5008,5 @@
 #endif     
 !ISOVERIF
-          if ((bidouille_anti_divergence).and. &
+          IF ((bidouille_anti_divergence).AND. &
                  (iso_eau.gt.0)) THEN
            do k=1,klev
@@ -5015,5 +5015,5 @@
             enddo !do i=1,klon
            enddo !do k=1,klev
-          endif !if ((bidouille_anti_divergence).and. &   
+          endif !if ((bidouille_anti_divergence).AND. &
 #endif
 !ISO
@@ -5074,9 +5074,9 @@
       DO k = 1, klev
         do i=1,klon
-        if (iso_O18.gt.0.and.iso_HDO.gt.0) THEN
-        if (ql_seri(i,k).gt.ridicule) THEN
+        IF (iso_O18.gt.0.AND.iso_HDO.gt.0) THEN
+        IF (ql_seri(i,k).gt.ridicule) THEN
                CALL iso_verif_aberrant( &
                  xtl_seri(iso_HDO,i,k)/ql_seri(i,k),'physiq 4330')
-               if (iso_O18.gt.0) THEN
+               IF (iso_O18.gt.0) THEN
                  CALL iso_verif_o18_aberrant( &
                         xtl_seri(iso_HDO,i,k)/ql_seri(i,k), &
@@ -5178,10 +5178,10 @@
 #endif
 #ifdef ISOVERIF
-      if (iso_eau.gt.0) THEN
+      IF (iso_eau.gt.0) THEN
       CALL iso_verif_egalite_vect2D( &
                  xt_seri,q_seri, &
                  'physiq 2599, apres ajout lsc',ntraciso,klon,klev)
       endif
-      if (iso_HDO.gt.0) THEN
+      IF (iso_HDO.gt.0) THEN
       CALL iso_verif_aberrant_enc_vect2D( &
                  xt_seri,q_seri, &
@@ -5192,16 +5192,16 @@
       DO k = 1, klev
       DO i = 1, klon
-          if (iso_eau.gt.0) THEN
+          IF (iso_eau.gt.0) THEN
            CALL iso_verif_egalite_choix( &
                  xtl_seri(iso_eau,i,k),ql_seri(i,k), &
                   'physiq 2601',errmax,errmaxrel)
           endif !if (iso_eau.gt.0) THEN
-          if (iso_HDO.gt.0) THEN
-            if (q_seri(i,k).gt.ridicule) THEN
-              if (iso_O18.gt.0) THEN
-               if (iso_verif_o18_aberrant_nostop( &
+          IF (iso_HDO.gt.0) THEN
+            IF (q_seri(i,k).gt.ridicule) THEN
+              IF (iso_O18.gt.0) THEN
+               IF (iso_verif_o18_aberrant_nostop( &
                     xt_seri(iso_HDO,i,k)/q_seri(i,k), &
                     xt_seri(iso_O18,i,k)/q_seri(i,k), &
-                    'physiq 2863, after il pleut').eq.1) THEN
+                    'physiq 2863, after il pleut').EQ.1) THEN
                   WRITE(*,*) 'physic 4656: i,k,q_seri(i,k)=',i,k,q_seri(i,k)
                   stop
@@ -5209,12 +5209,12 @@
               endif ! if (iso_O18.gt.0) THEN
             endif !if (q_seri(i,k).gt.errmax) THEN
-            if (ql_seri(i,k).gt.ridicule) THEN
+            IF (ql_seri(i,k).gt.ridicule) THEN
                CALL iso_verif_aberrant_choix(xtl_seri(iso_HDO,i,k),ql_seri(i,k), &
                         ridicule,deltalim_snow,'physiq 2871')
-               if (iso_O18.gt.0) THEN
-                 if (iso_verif_o18_aberrant_nostop( &
+               IF (iso_O18.gt.0) THEN
+                 IF (iso_verif_o18_aberrant_nostop( &
                         xtl_seri(iso_HDO,i,k)/ql_seri(i,k), &
                         xtl_seri(iso_O18,i,k)/ql_seri(i,k), &
-                        'physiq 2872, after il pleut').eq.1) THEN
+                        'physiq 2872, after il pleut').EQ.1) THEN
                         WRITE(*,*) 'i,k,ql_seri(i,k)=',i,k,ql_seri(i,k)
                         WRITE(*,*) 'd_ql_lsc(i,k)=',d_ql_lsc(i,k)
@@ -5230,8 +5230,8 @@
        ENDDO ! i=1,klon
       ENDDO !DO k = 1, klev
-      if ((iso_O17.gt.0).and.(iso_O18.gt.0)) THEN
+      IF ((iso_O17.gt.0).AND.(iso_O18.gt.0)) THEN
         do i=1,klon 
           do k=1,nlev
-           if ((q_seri(i,k).gt.ridicule).and.(k.lt.nlevmaxO17)) THEN
+           IF ((q_seri(i,k).gt.ridicule).AND.(k.lt.nlevmaxO17)) THEN
             CALL iso_verif_aberrant_o17(xt_seri(iso_o17,i,k) &
                  /q_seri(i,k),xt_seri(iso_o18,i,k) &
@@ -5246,13 +5246,13 @@
 #ifdef ISOVERIF       
       CALL iso_verif_traceur_vect(xt_seri,klon,klev,'physiq 3794')
-      if (option_tmin.eq.1) THEN
-      if (nzone_temp.ge.5) THEN
+      IF (option_tmin.EQ.1) THEN
+      IF (nzone_temp.ge.5) THEN
             CALL iso_verif_tag17_q_deltaD_vect(xt_seri,klon,klev, &
                 'physiq 3385: apres ilp')
       endif ! if (nzone_temp.ge.5) THEN
-      endif !if (option_tmin.eq.1) THEN
+      endif !if (option_tmin.EQ.1) THEN
 #endif   
 !#ifdef ISOVERIF                
-      if (bidouille_anti_divergence) THEN
+      IF (bidouille_anti_divergence) THEN
           CALL iso_verif_traceur_jbid_vect(xt_seri, &
                   klon,klev)
@@ -5261,5 +5261,5 @@
         ! si tag 22, on recolorise les zones très convectives dans les
         ! tropiques
-        if (option_traceurs.eq.22) THEN
+        IF (option_traceurs.EQ.22) THEN
           CALL isotrac_recolorise_conv(xt_seri,latitude_deg,presnivs,rain_con)
         endif
@@ -5298,5 +5298,5 @@
 
     !IM cf FH
-    !     IF (iflag_cld_th.eq.-1) THEN ! seulement pour Tiedtke
+    !     IF (iflag_cld_th.EQ.-1) THEN ! seulement pour Tiedtke
     IF (iflag_cld_th<=-1) THEN ! seulement pour Tiedtke
        snow_tiedtke=0.
@@ -5417,5 +5417,5 @@
     !        do i=1,klon
     !              zzz=prfl(:,k)+psfl(:,k)
-    !           if (.not.ptconvth.zzz.gt.0.)
+    !           if (.NOT.ptconvth.zzz.gt.0.)
     !        enddo prfl, psfl,
     !     enddo
@@ -5452,19 +5452,19 @@
       ENDDO !DO i = 1, klon
 #ifdef ISOVERIF
-      if (iso_eau.gt.0) THEN
+      IF (iso_eau.gt.0) THEN
         DO i = 1, klon          
           CALL iso_verif_egalite_choix(xtsnow_fall(iso_eau,i), &
                  snow_fall(i),'physiq 3387', &
                  errmax,errmaxrel)
-          if (iso_verif_positif_nostop(xtrain_lsc(iso_eau,i), &
-                 'physiq 4298').eq.1) THEN
-            if (rain_lsc(i).ge.0.0) THEN
+          IF (iso_verif_positif_nostop(xtrain_lsc(iso_eau,i), &
+                 'physiq 4298').EQ.1) THEN
+            IF (rain_lsc(i).ge.0.0) THEN
               WRITE(*,*) 'rain_fall(i)=',rain_lsc(i)
               stop
             endif !if (rain_con(i).ge.0.0) THEN
           endif  !if (iso_verif_positif_nostop
-          if (iso_verif_positif_nostop(xtrain_fall(iso_eau,i), &
-                 'physiq 3405').eq.1) THEN
-            if (rain_fall(i).ge.0.0) THEN
+          IF (iso_verif_positif_nostop(xtrain_fall(iso_eau,i), &
+                 'physiq 3405').EQ.1) THEN
+            IF (rain_fall(i).ge.0.0) THEN
               WRITE(*,*) 'rain_fall(i)=',rain_fall(i)
               stop
@@ -5473,5 +5473,5 @@
         ENDDO !DO i = 1, klon   
       endif !if (iso_eau.gt.0) THEN
-      if (iso_HDO.gt.0) THEN
+      IF (iso_HDO.gt.0) THEN
           DO i = 1, klon
           CALL iso_verif_aberrant_choix(xtsnow_fall(iso_hdo,i), &
@@ -5501,5 +5501,5 @@
 #endif 
 #ifdef ISO 
-        if ((iso_eau.gt.0).and.(bidouille_anti_divergence)) THEN
+        IF ((iso_eau.gt.0).AND.(bidouille_anti_divergence)) THEN
         do i=1,klon
             xtrain_fall(iso_eau,i)=rain_fall(i)
@@ -5514,5 +5514,5 @@
           zx_t = t_seri(i,k)
           IF (thermcep) THEN
-             !!           if (iflag_ice_thermo.eq.0) then                 !jyg
+             !!           if (iflag_ice_thermo.EQ.0) then                 !jyg
              zdelta = MAX(0.,SIGN(1.,rtt-zx_t))
              !!           else                                            !jyg
@@ -6329,5 +6329,5 @@
     ENDIF
 
-    IF (.not. ok_hines .and. ok_gwd_rando) THEN
+    IF (.NOT. ok_hines .AND. ok_gwd_rando) THEN
        ! ym missing init for east_gwstress & west_gwstress -> added in phys_local_var_mod
        CALL acama_GWD_rando(PHYS_TSTEP, pplay, latitude_deg, t_seri, u_seri, &
@@ -6397,5 +6397,5 @@
     !IM calcul composantes axiales du moment angulaire et couple des montagnes
 
-    IF (is_sequential .and. ok_orodr) THEN 
+    IF (is_sequential .AND. ok_orodr) THEN
        CALL aaam_bud (27,klon,klev,jD_cur-jD_ref,jH_cur, &
             ra,rg,romega, &
@@ -6589,12 +6589,12 @@
                  'physiq 5924, juste apres methox',ntraciso,klon,klev)
 END IF
-      if ((iso_HDO.gt.0).and.(iso_O18.gt.0)) THEN
+      IF ((iso_HDO.gt.0).AND.(iso_O18.gt.0)) THEN
         do i=1,klon 
          do k=1,klev 
-            if (q_seri(i,k).gt.ridicule) THEN
-               if (iso_verif_o18_aberrant_nostop( &
+            IF (q_seri(i,k).gt.ridicule) THEN
+               IF (iso_verif_o18_aberrant_nostop( &
                     xt_seri(iso_HDO,i,k)/q_seri(i,k), &
                     xt_seri(iso_O18,i,k)/q_seri(i,k), &
-                    'physiq 5937a, juste apres methox, qv').eq.1) THEN
+                    'physiq 5937a, juste apres methox, qv').EQ.1) THEN
                   WRITE(*,*) 'physic 2444: i,k,q_seri(i,k)=',i,k,q_seri(i,k)
                   WRITE(*,*) 'xt_seri(:,i,k)=',xt_seri(:,i,k)
@@ -6602,18 +6602,18 @@
               endif !  if (iso_verif_o18_aberrant_nostop 
             endif !if (q_seri(i,k).gt.errmax) THEN
-            if (ql_seri(i,k).gt.ridicule) THEN
-               if (iso_verif_o18_aberrant_nostop( &
+            IF (ql_seri(i,k).gt.ridicule) THEN
+               IF (iso_verif_o18_aberrant_nostop( &
                     xtl_seri(iso_HDO,i,k)/ql_seri(i,k), &
                     xtl_seri(iso_O18,i,k)/ql_seri(i,k), &
-                    'physiq 5937b, juste apres methox, ql').eq.1) THEN
+                    'physiq 5937b, juste apres methox, ql').EQ.1) THEN
                   WRITE(*,*) 'i,k,ql_seri(i,k)=',i,k,ql_seri(i,k)
                   !stop
               endif !  if (iso_verif_o18_aberrant_nostop 
             endif !if (q_seri(i,k).gt.errmax) THEN
-            if (qs_seri(i,k).gt.ridicule) THEN
-               if (iso_verif_o18_aberrant_nostop( &
+            IF (qs_seri(i,k).gt.ridicule) THEN
+               IF (iso_verif_o18_aberrant_nostop( &
                     xts_seri(iso_HDO,i,k)/qs_seri(i,k), &
                     xts_seri(iso_O18,i,k)/qs_seri(i,k), &
-                    'physiq 5937c, juste apres methox, qs').eq.1) THEN
+                    'physiq 5937c, juste apres methox, qs').EQ.1) THEN
                   WRITE(*,*) 'i,k,qs_seri(i,k)=',i,k,qs_seri(i,k)
                   !stop
@@ -6622,5 +6622,5 @@
           enddo !k=1,klev
          enddo  !i=1,klon
-        endif !if ((iso_HDO.gt.0).and.(iso_O18.gt.0)) THEN
+        endif !if ((iso_HDO.gt.0).AND.(iso_O18.gt.0)) THEN
 #endif
 #endif
@@ -6634,5 +6634,5 @@
        ! adeclarer 
 #ifdef CPP_COSP
-       IF (itap.eq.1.or.MOD(itap,NINT(freq_cosp/phys_tstep)).EQ.0) THEN
+       IF (itap.EQ.1.OR.MOD(itap,NINT(freq_cosp/phys_tstep)).EQ.0) THEN
 
           IF (prt_level .GE.10) THEN
@@ -6665,5 +6665,5 @@
 
 #ifdef CPP_COSP2
-       IF (itap.eq.1.or.MOD(itap,NINT(freq_cosp/phys_tstep)).EQ.0) THEN
+       IF (itap.EQ.1.OR.MOD(itap,NINT(freq_cosp/phys_tstep)).EQ.0) THEN
 
           IF (prt_level .GE.10) THEN
@@ -6689,5 +6689,5 @@
 
 #ifdef CPP_COSPV2
-       IF (itap.eq.1.or.MOD(itap,NINT(freq_cosp/phys_tstep)).EQ.0) THEN
+       IF (itap.EQ.1.OR.MOD(itap,NINT(freq_cosp/phys_tstep)).EQ.0) THEN
 !        IF (MOD(itap,NINT(freq_cosp/phys_tstep)).EQ.0) THEN
 
@@ -6738,10 +6738,10 @@
       CALL iso_verif_noNaN_vect2D(xt_seri, &
            'physiq 5607: apres appel tritium',ntraciso,klon,klev)
-       if (iso_HTO.gt.0) then ! Tritium
+       IF (iso_HTO.gt.0) then ! Tritium
        ixt=iso_HTO
        do i=1,klon
        do k=1,klev
-          if (iso_verif_positif_strict_nostop(xt_seri(ixt,i,k), &
-            'physiq 5620 : xt_seri(HTO) nul ou negatif').eq.1) THEN
+          IF (iso_verif_positif_strict_nostop(xt_seri(ixt,i,k), &
+            'physiq 5620 : xt_seri(HTO) nul ou negatif').EQ.1) THEN
           WRITE(*,*) 'ixt,i,klon,k,klev=',ixt,i,klon,k,klev
           WRITE(*,*) 'xt_seri(iso_HTO,i,k)=',xt_seri(ixt,i,k)
@@ -6762,5 +6762,5 @@
 
   IF (ok_airs) THEN
-  IF (itap==1.or.MOD(itap,NINT(freq_airs/phys_tstep))==0) THEN
+  IF (itap==1.OR.MOD(itap,NINT(freq_airs/phys_tstep))==0) THEN
      WRITE(*,*) 'je vais appeler simu_airs, ok_airs, freq_airs=', ok_airs, freq_airs
      CALL simu_airs(itap,rneb, t_seri, cldemi, fiwc, ref_ice, pphi, pplay, paprs,&
@@ -7066,9 +7066,9 @@
           ENDIF
           !--ice_sursat: nqo=4, on ajoute rneb
-          IF (nqo>=4 .and. ok_ice_sursat) THEN
+          IF (nqo>=4 .AND. ok_ice_sursat) THEN
              d_qx(i,k,irneb) = ( rneb_seri(i,k) - qx(i,k,irneb) ) / phys_tstep
           ENDIF
 
-           IF (nqo>=4 .and. ok_bs) THEN
+           IF (nqo>=4 .AND. ok_bs) THEN
              d_qx(i,k,ibs) = ( qbs_seri(i,k) - qx(i,k,ibs) ) / phys_tstep
           ENDIF
@@ -7087,5 +7087,5 @@
           iq=iqIsoPha(ixt,iliq)
           d_qx(i,k,iq) = ( xtl_seri(ixt,i,k) - qx(i,k,iq) ) / phys_tstep
-          if (nqo.eq.3) THEN
+          IF (nqo.EQ.3) THEN
              iq=iqIsoPha(ixt,isol)
              d_qx(i,k,iq) = ( xts_seri(ixt,i,k) - qx(i,k,iq) ) / phys_tstep
@@ -7268,5 +7268,5 @@
 
     ! Petit appelle de sorties pour accompagner le travail sur phyex
-    if ( iflag_physiq == 1 ) THEN
+    IF ( iflag_physiq == 1 ) THEN
         CALL output_physiqex(debut,jD_eq,pdtphys,presnivs,paprs,u,v,t,qx,cldfra,0.*t,0.*t,0.*t,pbl_tke,theta)
     endif
@@ -7298,5 +7298,5 @@
          do k=1,klev
           do i=1,klon
-            if (iso_eau.gt.0) THEN
+            IF (iso_eau.gt.0) THEN
                CALL iso_verif_egalite_choix(xt_ancien(iso_eau,i,k), &
                  q_ancien(i,k),'physiq 3728: avant phyisoredem', &
@@ -7341,5 +7341,5 @@
           ENDIF
 
-          IF (is_omp_master .and. grid_type==unstructured) CALL xios_context_finalize
+          IF (is_omp_master .AND. grid_type==unstructured) CALL xios_context_finalize
        ENDIF
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/reevap.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/reevap.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/reevap.F90	(revision 5117)
@@ -19,8 +19,8 @@
 
     INTEGER klon,klev,iflag_ice_thermo
-    REAL, DIMENSION(klon,klev), INTENT(in) :: t_seri
-    REAL, DIMENSION(klon,klev,nqtot), INTENT(in) ::     qx
-    REAL, DIMENSION(klon,klev), INTENT(out) :: d_t_eva
-    REAL, DIMENSION(klon,klev,nqtot), INTENT(out) ::        d_qx_eva
+    REAL, DIMENSION(klon,klev), INTENT(IN) :: t_seri
+    REAL, DIMENSION(klon,klev,nqtot), INTENT(IN) ::     qx
+    REAL, DIMENSION(klon,klev), INTENT(OUT) :: d_t_eva
+    REAL, DIMENSION(klon,klev,nqtot), INTENT(OUT) ::        d_qx_eva
 
     REAL za,zb,zdelta,zlvdcp,zlsdcp
@@ -45,6 +45,6 @@
        DO i = 1, klon
 
-        if (ixt==1) THEN
-         if (fl_cor_ebil > 0) THEN
+        IF (ixt==1) THEN
+         IF (fl_cor_ebil > 0) THEN
           !zlvdcp=RLVTT/RCPD/(1.0+RVTMP2*(q_seri(i,k)+ql_seri(i,k)+qs_seri(i,k)))
           !zlsdcp=RLSTT/RCPD/(1.0+RVTMP2*(q_seri(i,k)+ql_seri(i,k)+qs_seri(i,k)))
@@ -72,5 +72,5 @@
              d_t_eva(i,k) = za
 
-          endif !if (ixt.eq.1) THEN
+          endif !if (ixt.EQ.1) THEN
             !zb = MAX(0.0,ql_seri(i,k)+qs_seri(i,k))
             !d_q_eva(i,k) = zb
